#pragma once


//  Helpers to convert status codes to text
const char *BusyToText(uint8_t val);
const char *WarnToText(uint8_t val);
const char *PlaybackToText(uint8_t val);
const char *FsToText(uint8_t val);
const char *OffMatrixDiscreteText(uint8_t val);
const char *OffMatrixDiscreteAutoText(uint8_t val);
const char *ReleaseWaitText(uint8_t val);
const char *NotTunedTunedText(uint8_t val);
const char *InputModeText(uint8_t val);
const char *PresetNumberText(uint8_t val);
const char *OSDFullShortOffText(uint8_t val);
const char *SleepTimerText(uint8_t val);
const char *InputText(uint8_t val);
const char *ZonePower(uint8_t val);
const char *VolumeDB(uint8_t val);
const char *PM10dbText(uint8_t val);
const char *M20P0dbText(uint8_t val);
const char *BalanceText(uint8_t val);
const char *ZeroTo160msText(uint8_t val);
const char *ZeroTo5msText(uint8_t val);
const char *ZeroTo30msText(uint8_t val);
const char *AutoLastText(uint8_t val);
const char *M4To0Text(uint8_t val);
const char *M5toP5Text(uint8_t val);
const char *OffAutoText(uint8_t val);
const char *MaxStdMinText(uint8_t val);
const char *VarFixText(uint8_t val);
const char *Mode1Mode2Text(uint8_t val);
const char *LSNText(uint8_t val);
const char *LLSSNText(uint8_t val);
const char *YesNoneText(uint8_t val);
const char *SwfrMainBothText(uint8_t val);
const char *LrFrNoneText(uint8_t val);
const char *CenterMainText(uint8_t val);
const char *SwfrMainText(uint8_t val);
const char *SurrMainText(uint8_t val);
const char *SixEightText(uint8_t val);
const char *CrossOverText(uint8_t val);
const char *OffDolbyDspText(uint8_t val);
const char *OffOn2OnMultiText(uint8_t val);
const char *M10P10dbText(uint8_t val);

const char *ProgramName(uint8_t val);
const char *OffOnText(uint8_t val);
const char *PRSBText(uint8_t val);
const char *FMAMText(uint8_t val);
const char *PresetLabelText(uint8_t val);
const char *MainSubAllText(uint8_t val);
const char *WhichZoneText(uint8_t val);
const char *Norm10dbDownText(uint8_t val);
const char *Zone1Zone2Text(uint8_t val);

